Subject: Re: bug#77306: 31.0.50; C-x v L from *vc-change-log* buffer leaves wrong default-directory

From: Sean Whitton <[email-masked]>
Date: Sat, 05 Apr 2025 15:47:49 +0800

Hello,

On Fri 04 Apr 2025 at 11:17pm -04, Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>> Avoiding this problem by using a temporary buffer makes sense to me,
>> though, the FIXME would need to be resolved first :)
>
> FWIW, the FIXME applies to the current code as much as it does to the
> patched code, I think.
>
> IOW, my understanding is that this `setq` is meant to be executed in the
> buffer in which the print-log has been inserted, but I'm not completely
> sure that `vc-print-log-internal` will always switch to that buffer
> before exiting, hence the question.

Okay.  I think I'd be inclined to leave things how they are for now.
If some other aberrant behaviour, it may then become clear what to do.

-- 
Sean Whitton